--- /home/wcampbel/Hybrid/ircd-hybrid-6.dist/src/m_ltrace.c	Sun Dec 15 21:30:05 2002
+++ src/m_ltrace.c	Tue Dec 31 19:33:49 2002
@@ -153,8 +153,7 @@
     }
 
 
-  if(MyClient(sptr))
-    sendto_realops_flags(FLAGS_SPY, "ltrace requested by %s (%s@%s) [%s]",
+  sendto_realops_flags(FLAGS_SPY, "ltrace requested by %s (%s@%s) [%s]",
                        sptr->name, sptr->username, sptr->host,
                        sptr->user->server);
 
@@ -189,7 +188,16 @@
           sendto_one(sptr, form_str(RPL_TRACEOPERATOR),
                      me.name, parv[0], c_class,
                      name,
-                     IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"255.255.255.255":ip),
+#if (defined SERVERHIDE) || (defined HIDE_SERVERS_IPS)
+                     "255.255.255.255",
+#else
+#ifdef HIDE_SPOOF_IPS
+                             IsIPSpoof(acptr) ? "255.255.255.255" : ip,
+#else
+                             IsAnOper(sptr) ? ip :
+                             (IsIPSpoof(acptr) ? "255.255.255.255" : ip),
+#endif
+#endif
                      now - acptr->lasttime,
                      (acptr->user)?(now - acptr->user->last):0);
         }
@@ -271,7 +279,16 @@
                            form_str(RPL_TRACEOPERATOR),
                            me.name, parv[0], c_class,
                            name, 
-                           IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"255.255.255.255":ip), 
+#if (defined SERVERHIDE) || (defined HIDE_SERVERS_IPS)
+                     "255.255.255.255",
+#else
+#ifdef HIDE_SPOOF_IPS
+                             IsIPSpoof(acptr) ? "255.255.255.255" : ip,
+#else
+                             IsAnOper(sptr) ? ip :
+                             (IsIPSpoof(acptr) ? "255.255.255.255" : ip),
+#endif
+#endif
                            now - acptr->lasttime,
                            (acptr->user)?(now - acptr->user->last):0);
               cnt++;
